<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mainBackColor"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_sub_option_title" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <RelativeLayout
                android:id="@+id/bridgeLayout"
                style="@style/itemLayoutStyle"
                android:background="@drawable/bg_solid_layout_white_radius_10">

                <TextView
                    style="@style/textViewStyle"
                    android:text="路\u3000\u3000桥" />

                <TextView
                    android:id="@+id/bridgeNameView"
                    style="@style/detailTextViewStyle"
                    android:hint="请选择" />

                <ImageView style="@style/rightImageStyle" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="养护类型" />

                    <TextView
                        android:id="@+id/maintainTypeView"
                        style="@style/detailTextViewStyle"
                        android:text="日常养护" />
                </RelativeLayout>

                <include layout="@layout/include_line_view" />

                <RelativeLayout
                    android:id="@+id/maintainContentLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="养护内容" />

                    <TextView
                        android:id="@+id/maintainView"
                        style="@style/detailTextViewStyle"
                        android:layout_toStartOf="@id/vv"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/vv"
                        style="@style/rightImageStyle" />
                </RelativeLayout>

                <include layout="@layout/include_line_view" />

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="养护日期" />

                    <TextView
                        android:id="@+id/maintainDateView"
                        style="@style/detailTextViewStyle" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="责任人\u3000" />

                    <TextView
                        android:id="@+id/liablePersonView"
                        style="@style/detailTextViewStyle" />
                </RelativeLayout>

                <include layout="@layout/include_line_view" />

                <TextView
                    style="@style/textViewStyle"
                    android:layout_height="@dimen/itemLayoutHeight"
                    android:text="备\u3000\u3000注" />

                <com.pengxh.androidx.lite.widget.DeleteEditText
                    android:id="@+id/remarksView"
                    style="@style/inputEditTextStyle"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@drawable/bg_stroke_layout_back_radius_3"
                    android:gravity="top"
                    android:hint="请输入少于50个字的情况描述"
                    android:inputType="textMultiLine"
                    android:maxLength="50"
                    android:padding="@dimen/dp_3"
                    android:paddingVertical="@dimen/dp_5"
                    android:textColor="@color/subTextColor"
                    android:textColorHint="@color/hintTextColor" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <Button
        android:id="@+id/submitButton"
        style="@style/MainButtonStyle"
        android:layout_marginHorizontal="@dimen/dp_10"
        android:layout_marginVertical="@dimen/dp_20"
        android:text="提交记录" />
</LinearLayout>